Running an older version of Electron Cash is strongly discouraged. Earlier versions may be incompatible with the network, or worse: insecure, leading to loss of funds. You should only run an outdated version if absolutely necessary or for research purposes.

To proceed with caution, click here.


Yikes, never mind. Take me back to the home page.